<?php

namespace Drupal\Tests\intl_date\Unit;

use Drupal\Tests\UnitTestCase;
use Drupal\intl_date\IntlDate;

/**
 * Test date rendering.
 *
 * @group intl_date
 */
class IntlDateTest extends UnitTestCase {

  const UNIX_TIMESTAMP = 1621322643;

  /**
   * Asserts date formats per language.
   */
  public function testDateFormat() {
    $this->assertEquals('18 May 2021', IntlDate::format(self::UNIX_TIMESTAMP, 'dd MMMM YYYY', 'en'));
    $this->assertEquals('18 mai 2021', IntlDate::format(self::UNIX_TIMESTAMP, 'dd MMMM YYYY', 'fr'));
    $this->assertEquals('٢٠٢١ مايو ١٨', IntlDate::format(self::UNIX_TIMESTAMP, 'YYYY MMMM dd', 'ar'));
  }

}
